public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
* [gentoo-commits] gentoo-x86 commit in dev-ruby/pry: pry-0.9.11.4.ebuild pry-0.9.12.6.ebuild ChangeLog
@ 2014-03-10  0:37 Vikraman Choudhury (vikraman)
  0 siblings, 0 replies; only message in thread
From: Vikraman Choudhury (vikraman) @ 2014-03-10  0:37 UTC (permalink / raw
  To: gentoo-commits

vikraman    14/03/10 00:37:41

  Modified:             pry-0.9.11.4.ebuild ChangeLog
  Added:                pry-0.9.12.6.ebuild
  Log:
  Patch coderay dependency in gemspec, fix test dependencies, bump to 0.12.6.
  
  (Portage version: 2.2.8-r1/cvs/Linux i686, signed Manifest commit with key B0A72FD2)

Revision  Changes    Path
1.2                  dev-ruby/pry/pry-0.9.11.4.ebuild

file : http://sources.gentoo.org/viewvc.cgi/gentoo-x86/dev-ruby/pry/pry-0.9.11.4.ebuild?rev=1.2&view=markup
plain: http://sources.gentoo.org/viewvc.cgi/gentoo-x86/dev-ruby/pry/pry-0.9.11.4.ebuild?rev=1.2&content-type=text/plain
diff : http://sources.gentoo.org/viewvc.cgi/gentoo-x86/dev-ruby/pry/pry-0.9.11.4.ebuild?r1=1.1&r2=1.2

Index: pry-0.9.11.4.ebuild
===================================================================
RCS file: /var/cvsroot/gentoo-x86/dev-ruby/pry/pry-0.9.11.4.ebuild,v
retrieving revision 1.1
retrieving revision 1.2
diff -u -r1.1 -r1.2
--- pry-0.9.11.4.ebuild	20 Jan 2013 13:41:55 -0000	1.1
+++ pry-0.9.11.4.ebuild	10 Mar 2014 00:37:41 -0000	1.2
@@ -1,6 +1,6 @@
-# Copyright 1999-2013 Gentoo Foundation
+# Copyright 1999-2014 Gentoo Foundation
 # Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/dev-ruby/pry/pry-0.9.11.4.ebuild,v 1.1 2013/01/20 13:41:55 graaff Exp $
+# $Header: /var/cvsroot/gentoo-x86/dev-ruby/pry/pry-0.9.11.4.ebuild,v 1.2 2014/03/10 00:37:41 vikraman Exp $
 
 EAPI=5
 
@@ -25,11 +25,20 @@
 	>=dev-ruby/slop-3.4.1:3
 	>=dev-ruby/method_source-0.8"
 
-ruby_add_bdepend "test? ( >=dev-ruby/bacon-1.1 >=dev-ruby/open4-1.3 )"
+ruby_add_bdepend "
+	test? (
+		>=dev-ruby/bacon-1.2
+		>=dev-ruby/open4-1.3
+		>=dev-ruby/rake-0.9
+		>=dev-ruby/mocha-0.13.1
+	)"
 
 all_ruby_prepare() {
 	# Avoid unneeded dependency on git.
-	sed -i -e '/git ls-files/d' ${RUBY_FAKEGEM_GEMSPEC} || die
+	# Loosen coderay dependency.
+	sed -e '/git ls-files/d' \
+		-e '/coderay/s/~>/>=/' \
+		-i ${RUBY_FAKEGEM_GEMSPEC} || die
 }
 
 each_ruby_test() {



1.12                 dev-ruby/pry/ChangeLog

file : http://sources.gentoo.org/viewvc.cgi/gentoo-x86/dev-ruby/pry/ChangeLog?rev=1.12&view=markup
plain: http://sources.gentoo.org/viewvc.cgi/gentoo-x86/dev-ruby/pry/ChangeLog?rev=1.12&content-type=text/plain
diff : http://sources.gentoo.org/viewvc.cgi/gentoo-x86/dev-ruby/pry/ChangeLog?r1=1.11&r2=1.12

Index: ChangeLog
===================================================================
RCS file: /var/cvsroot/gentoo-x86/dev-ruby/pry/ChangeLog,v
retrieving revision 1.11
retrieving revision 1.12
diff -u -r1.11 -r1.12
--- ChangeLog	20 Jan 2013 13:41:55 -0000	1.11
+++ ChangeLog	10 Mar 2014 00:37:41 -0000	1.12
@@ -1,6 +1,12 @@
 # ChangeLog for dev-ruby/pry
-# Copyright 1999-2013 Gentoo Foundation; Distributed under the GPL v2
-# $Header: /var/cvsroot/gentoo-x86/dev-ruby/pry/ChangeLog,v 1.11 2013/01/20 13:41:55 graaff Exp $
+# Copyright 1999-2014 Gentoo Foundation; Distributed under the GPL v2
+# $Header: /var/cvsroot/gentoo-x86/dev-ruby/pry/ChangeLog,v 1.12 2014/03/10 00:37:41 vikraman Exp $
+
+*pry-0.9.12.6 (10 Mar 2014)
+
+  10 Mar 2014; Vikraman Choudhury (vikraman) <vikraman@gentoo.org>
+  +pry-0.9.12.6.ebuild, pry-0.9.11.4.ebuild:
+  Patch coderay dependency in gemspec, fix test dependencies, bump to 0.12.6.
 
 *pry-0.9.11.4 (20 Jan 2013)
 



1.1                  dev-ruby/pry/pry-0.9.12.6.ebuild

file : http://sources.gentoo.org/viewvc.cgi/gentoo-x86/dev-ruby/pry/pry-0.9.12.6.ebuild?rev=1.1&view=markup
plain: http://sources.gentoo.org/viewvc.cgi/gentoo-x86/dev-ruby/pry/pry-0.9.12.6.ebuild?rev=1.1&content-type=text/plain

Index: pry-0.9.12.6.ebuild
===================================================================
# Copyright 1999-2014 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/dev-ruby/pry/pry-0.9.12.6.ebuild,v 1.1 2014/03/10 00:37:41 vikraman Exp $

EAPI=5

USE_RUBY="ruby19"

RUBY_FAKEGEM_TASK_DOC=""
RUBY_FAKEGEM_EXTRADOC="README.markdown"
RUBY_FAKEGEM_GEMSPEC=${PN}.gemspec

inherit ruby-fakegem

DESCRIPTION="Pry is a powerful alternative to the standard IRB shell for Ruby."
HOMEPAGE="https://github.com/pry/pry/wiki"
IUSE=""
SLOT="ruby19"

LICENSE="MIT"
KEYWORDS="~amd64 ~ppc64 ~x86"

ruby_add_rdepend "
	>=dev-ruby/coderay-1.0.5
	>=dev-ruby/slop-3.4.1:3
	>=dev-ruby/method_source-0.8"

ruby_add_bdepend "
	test? (
		>=dev-ruby/bacon-1.2
		>=dev-ruby/open4-1.3
		>=dev-ruby/rake-0.9
		>=dev-ruby/mocha-0.13.1
	)"

all_ruby_prepare() {
	# Avoid unneeded dependency on git.
	# Loosen coderay dependency.
	sed -e '/git ls-files/d' \
		-e '/coderay/s/~>/>=/' \
		-i ${RUBY_FAKEGEM_GEMSPEC} || die
}

each_ruby_test() {
	${RUBY} -S bacon -Ispec -q spec/*_spec.rb spec/*/*_spec.rb || die
}





^ permalink raw reply	[flat|nested] only message in thread

only message in thread, other threads:[~2014-03-10  0:37 UTC | newest]

Thread overview: (only message) (download: mbox.gz follow: Atom feed
-- links below jump to the message on this page --
2014-03-10  0:37 [gentoo-commits] gentoo-x86 commit in dev-ruby/pry: pry-0.9.11.4.ebuild pry-0.9.12.6.ebuild ChangeLog Vikraman Choudhury (vikraman)

This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox